org.eclipse.eef

## Interface EEFViewDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFViewDescriptionImpl

    public interface EEFViewDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF View Description'.

The following features are supported:

- `Identifier`
- `Label Expression`
- `Image Expression`
- `Groups`
- `Pages`
- `EPackages`

See Also:
  `EefPackage.getEEFViewDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EPackage>` `getEPackages()` Returns the value of the 'EPackages' reference list.
`org.eclipse.emf.common.util.EList<EEFGroupDescription>` `getGroups()` Returns the value of the 'Groups' containment reference list.
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`java.lang.String` `getImageExpression()` Returns the value of the 'Image Expression' attribute.
`java.lang.String` `getLabelExpression()` Returns the value of the 'Label Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFPageDescription>` `getPages()` Returns the value of the 'Pages' containment reference list.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.
`void` `setImageExpression(java.lang.String value)` Sets the value of the '`Image Expression`' attribute.
`void` `setLabelExpression(java.lang.String value)` Sets the value of the '`Label Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIdentifier

    java.lang.String getIdentifier()

Returns the value of the 'Identifier' attribute. Used to identify a specific View instance.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  `setIdentifier(String)`, `EefPackage.getEEFViewDescription_Identifier()`

#### setIdentifier

    void setIdentifier(java.lang.String value)

Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  `getIdentifier()`

#### getLabelExpression

    java.lang.String getLabelExpression()

Returns the value of the 'Label Expression' attribute. The label of the View visible by the end-users.

Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `setLabelExpression(String)`, `EefPackage.getEEFViewDescription_LabelExpression()`

#### setLabelExpression

    void setLabelExpression(java.lang.String value)

Sets the value of the '`Label Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Expression' attribute.
See Also:
  `getLabelExpression()`

#### getImageExpression

    java.lang.String getImageExpression()

Returns the value of the 'Image Expression' attribute. The expression used to compute the image of the View visible by the end-users.

Returns:
  the value of the 'Image Expression' attribute.
See Also:
  `setImageExpression(String)`, `EefPackage.getEEFViewDescription_ImageExpression()`

#### setImageExpression

    void setImageExpression(java.lang.String value)

Sets the value of the '`Image Expression`' attribute.

Parameters:
  `value` - the new value of the 'Image Expression' attribute.
See Also:
  `getImageExpression()`

#### getGroups

    org.eclipse.emf.common.util.EList<EEFGroupDescription> getGroups()

Returns the value of the 'Groups' containment reference list. The list contents are of type `EEFGroupDescription`. Contains all the defined Groups. It is defined under the View for reuasability reason and to be referenced easily from any Page.

Returns:
  the value of the 'Groups' containment reference list.
See Also:
  `EefPackage.getEEFViewDescription_Groups()`

#### getPages

    org.eclipse.emf.common.util.EList<EEFPageDescription> getPages()

Returns the value of the 'Pages' containment reference list. The list contents are of type `EEFPageDescription`. Defines the tabs that are represented in the View.

Returns:
  the value of the 'Pages' containment reference list.
See Also:
  `EefPackage.getEEFViewDescription_Pages()`

#### getEPackages

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EPackage> getEPackages()

Returns the value of the 'EPackages' reference list. The list contents are of type `EPackage`.

If the meaning of the 'EPackages' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EPackages' reference list.
See Also:
  `EefPackage.getEEFViewDescription_EPackages()`